Opened 4 years ago

Closed 4 years ago

Last modified 3 years ago

#604 closed enhancement (wontfix)

smartctl cannot get drive status behind marvell hardware raid1 chip

Reported by: gilado Owned by:
Priority: major Milestone:
Component: all Version: 6.4
Keywords: linux Cc:

Description

# lspci | grep Marvell
05:00.0 SATA controller: Marvell Technology Group Ltd. 88SE9230 PCIe SATA 6Gb/s Controller (rev 11)
# smartctl -d marvell /dev/sda
smartctl 6.4 2015-06-04 r4109 [x86_64-linux-3.18.1-pclos1]
Copyright (C) 2002-15, Bruce Allen, Christian Franke, www.smartmontools.org
ATA device successfully opened                       
Use 'smartctl -a' (or '-x') to print SMART (and more) information
# smartctl -a -d marvell /dev/sda
smartctl 6.4 2015-06-04 r4109 [x86_64-linux-3.18.1-pclos1]
Copyright (C) 2002-15, Bruce Allen, Christian Franke, www.smartmontools.org

Read Device Identity failed: Unknown error
A mandatory SMART command failed: exiting. To continue, add one or more '-T permissive' options.
# smartctl -a -d marvell -T verypermissive /dev/sda
smartctl 6.4 2015-06-04 r4109 [x86_64-linux-3.18.1-pclos1]
Copyright (C) 2002-15, Bruce Allen, Christian Franke, www.smartmontools.org

Read Device Identity failed: Unknown error

=== START OF INFORMATION SECTION ===
Device Model:     [No Information Found]
Serial Number:    [No Information Found]
Firmware Version: [No Information Found]
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   [No Information Found]
Local Time is:    Wed Aug 26 16:01:10 2015 PDT
SMART support is: Ambiguous - ATA IDENTIFY DEVICE words 82-83 don't show if SMART supported.
SMART support is: Ambiguous - ATA IDENTIFY DEVICE words 85-87 don't show if SMART is enabled.
                  Checking to be sure by trying SMART RETURN STATUS command.
SMART support is: Unknown - Try option -s with argument 'on' to enable it.
Read SMART Data failed: Success

=== START OF READ SMART DATA SECTION ===
SMART Status command failed: Success
SMART overall-health self-assessment test result: UNKNOWN!
SMART Status, Attributes and Thresholds cannot be read.

Read SMART Error Log failed: Success

Read SMART Self-test Log failed: Success

Selective Self-tests/Logging not supported

Change History (8)

comment:1 Changed 4 years ago by Alex Samorukov

Hi, as far as i could see - from the specification 88SE9230 is a software raid chip, so you should see your drives as normal devices under Linux. Anyway, -d marvell is for outdated ata based controller and will not work with hardware RAID.

comment:2 Changed 4 years ago by Alex Samorukov

Component: drivedball
Keywords: linux added

comment:3 Changed 4 years ago by Christian Franke

Milestone: Release 6.5undecided
05:00.0 SATA controller: Marvell Technology Group Ltd. 88SE9230 PCIe SATA 6Gb/s Controller (rev 11)

This output suggests that this controller behaves like as a standard AHCI SATA controller. Please retry without the -d marvell option. This option was added 11+ years ago for some Marvell driver which is probably outdated now. This driver would identify itself with "MVSATA..." (instead of "ATA...") in the SCSI INQUIRY result (-d scsi).

Try also how this device appears in smartctl --scan and smartctl --scan-open outputs.

comment:4 in reply to:  1 Changed 4 years ago by gilado

Replying to samm2:

Hi, as far as i could see - 88SE9230 is a software raid chip

It's both. If you look at the specification the first line says

  • Marvell RAID Software Yes

but below it says

  • Hardware RAID Yes, RAID 0/1/10

I use it as a Hardware RAID (enabled in its BIOS setting)

It shows up only as /dev/sda (no /dev/sda1 etc)

# smartctl --scan
/dev/sda -d scsi # /dev/sda, SCSI device
# smartctl --scan-open
/dev/sda -d sat # /dev/sda [SAT], ATA device
# smartctl -d sat /dev/sda
smartctl 6.4 2015-06-04 r4109 [x86_64-linux-3.18.1-pclos1]
Copyright (C) 2002-15, Bruce Allen, Christian Franke, www.smartmontools.org

ATA device successfully opened

Use 'smartctl -a' (or '-x') to print SMART (and more) information
# smartctl -d sat -a /dev/sda
smartctl 6.4 2015-06-04 r4109 [x86_64-linux-3.18.1-pclos1]
Copyright (C) 2002-15, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Device Model:     MARVELL Raid VD
Serial Number:    825dcf5fd6ec0010
Firmware Version: MV.R00-0
User Capacity:    2,000,315,023,360 bytes [2.00 TB]
Sector Size:      512 bytes logical/physical
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   ATA/ATAPI-7 T13/1532D revision 4a
Local Time is:    Thu Aug 27 05:20:02 2015 PDT
SMART support is: Unavailable - device lacks SMART capability.

A mandatory SMART command failed: exiting. To continue, add one or more '-T permissive' options.
# smartctl -d sat -a -T verypermissive /dev/sda
smartctl 6.4 2015-06-04 r4109 [x86_64-linux-3.18.1-pclos1]
Copyright (C) 2002-15, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Device Model:     MARVELL Raid VD
Serial Number:    825dcf5fd6ec0010
Firmware Version: MV.R00-0
User Capacity:    2,000,315,023,360 bytes [2.00 TB]
Sector Size:      512 bytes logical/physical
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   ATA/ATAPI-7 T13/1532D revision 4a
Local Time is:    Thu Aug 27 05:22:29 2015 PDT
SMART support is: Unavailable - device lacks SMART capability.

=== START OF READ SMART DATA SECTION ===
SMART Status command failed
Please get assistance from http://smartmontools.sourceforge.net/
Register values returned from SMART Status command are:
 ERR=0x00, SC=0x00, LL=0x00, LM=0x00, LH=0x00, DEV=0x00, STS=0x50
SMART Status not supported: Invalid ATA output register values
SMART overall-health self-assessment test result: PASSED
Warning: This result is based on an Attribute check.

General SMART Values:
Offline data collection status:  (0x00) Offline data collection activity was never started.
Auto Offline Data Collection: Disabled.
Total time to complete Offline data collection: (    0) seconds.
Offline data collection
capabilities:               (0x00) Offline data collection not supported.
SMART capabilities:       (0x0000) Automatic saving of SMART data is not implemented.
Error logging capability:   (0x00) Error logging NOT supported. 
No General Purpose Logging support.

SMART Error Log Version: 0
No Errors Logged

SMART Self-test log structure revision number 0
Warning: ATA Specification requires self-test log structure revision number = 1
No self-tests have been logged.  [To run self-tests, use: smartctl -t]

Selective Self-tests/Logging not supported
# smartctl -d scsi /dev/sda
smartctl 6.4 2015-06-04 r4109 [x86_64-linux-3.18.1-pclos1]
Copyright (C) 2002-15, Bruce Allen, Christian Franke, www.smartmontools.org

SCSI device successfully opened

Use 'smartctl -a' (or '-x') to print SMART (and more) information
# smartctl -d scsi -a /dev/sda
smartctl 6.4 2015-06-04 r4109 [x86_64-linux-3.18.1-pclos1]
Copyright (C) 2002-15, Bruce Allen, Christian Franke, www.smartmontools.org

User Capacity:        2,000,315,023,360 bytes [2.00 TB]
Logical block size:   512 bytes
LB provisioning type: unreported, LBPME=-1, LBPRZ=0
Serial number:        825dcf5fd6ec0010
Device type:          disk
Local Time is:        Thu Aug 27 05:16:59 2015 PDT
SMART support is:     Unavailable - device lacks SMART capability.

=== START OF READ SMART DATA SECTION ===

Error Counter logging not supported

[GLTSD (Global Logging Target Save Disable) set. Enable Save with '-S on']
Device does not support Self Test logging

comment:5 Changed 4 years ago by Alex Samorukov

Thank you for provided feedback. It seems that Linux see only hardware raid (MARVELL Raid VD) and smartctl do not have support for it. Options for you are:

  • turn off raid in the bios and use mdraid to get raid functionality
  • try to find any vendor utility or documentation for this RAID

I the web i found some references about MRU and Marvell RAID Command Line Interface (CLI). I have no such hardware so not able to help you more.

Last edited 4 years ago by Alex Samorukov (previous) (diff)

comment:6 Changed 4 years ago by Alex Samorukov

Resolution: wontfix
Status: newclosed

Drives behind unsupported RAID controller

comment:7 Changed 4 years ago by Christian Franke

Milestone: undecided
Type: defectenhancement

comment:8 Changed 3 years ago by Huan Zhang

I understand this is a closed ticket, but I would like to share my experience on this issue here.

With a newer firmware 2.3.0.1058, Marvel 89SE9230 is able to report SMART information. This firmware can be found here: http://homeservershow.com/forums/index.php?/topic/9179-marvell-9230-firmware-updates-and-such/#entry102871. After upgrading firmware I am able to read SMART information directly using smartctl. The information seems valid but I don't know which disk it is referring to; I still haven't figure out how to access SMART report for a specified individual disk of the array.

$ sudo smartctl -a /dev/sdb
smartctl 6.5 2016-01-24 r4214 [x86_64-linux-4.4.0-22-generic] (local build)
Copyright (C) 2002-16, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Device Model:     MARVELL Raid VD
Serial Number:    44b310154d290000
Firmware Version: MV.R00-0
User Capacity:    9,001,527,214,080 bytes [9.00 TB]
Sector Size:      512 bytes logical/physical
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   ATA/ATAPI-7 T13/1532D revision 4a
Local Time is:    Mon May 30 20:04:00 2016 PDT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x82)	Offline data collection activity
					was completed without error.
					Auto Offline Data Collection: Enabled.
Self-test execution status:      (   0)	The previous self-test routine completed
					without error or no self-test has ever 
					been run.
Total time to complete Offline 
data collection: 		(  120) seconds.
Offline data collection
capabilities: 			 (0x5b) SMART execute Offline immediate.
					Auto Offline data collection on/off support.
					Suspend Offline collection upon new
					command.
					Offline surface scan supported.
					Self-test supported.
					No Conveyance Self-test supported.
					Selective Self-test supported.
SMART capabilities:            (0x0003)	Saves SMART data before entering
					power-saving mode.
					Supports SMART auto save timer.
Error logging capability:        (0x01)	Error logging supported.
					No General Purpose Logging support.
Short self-test routine 
recommended polling time: 	 (   2) minutes.
Extended self-test routine
recommended polling time: 	 ( 491) minutes.

SMART Attributes Data Structure revision number: 16
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAG     VALUE WORST THRESH TYPE      UPDATED  WHEN_FAILED RAW_VALUE
  1 Raw_Read_Error_Rate     0x000b   100   100   050    Pre-fail  Always       -       0
  2 Throughput_Performance  0x0005   100   100   050    Pre-fail  Offline      -       0
  3 Spin_Up_Time            0x0027   100   100   001    Pre-fail  Always       -       11685
  4 Start_Stop_Count        0x0032   100   100   000    Old_age   Always       -       304
  5 Reallocated_Sector_Ct   0x0033   100   100   050    Pre-fail  Always       -       0
  7 Seek_Error_Rate         0x000b   100   100   050    Pre-fail  Always       -       0
  8 Seek_Time_Performance   0x0005   100   100   050    Pre-fail  Offline      -       0
  9 Power_On_Hours          0x0032   093   093   000    Old_age   Always       -       2909
 10 Spin_Retry_Count        0x0033   106   100   030    Pre-fail  Always       -       0
 12 Power_Cycle_Count       0x0032   100   100   000    Old_age   Always       -       304
191 G-Sense_Error_Rate      0x0032   100   100   000    Old_age   Always       -       0
192 Power-Off_Retract_Count 0x0032   100   100   000    Old_age   Always       -       127
193 Load_Cycle_Count        0x0032   100   100   000    Old_age   Always       -       392
194 Temperature_Celsius     0x0022   100   100   000    Old_age   Always       -       37 (Min/Max 17/53)
196 Reallocated_Event_Count 0x0032   100   100   000    Old_age   Always       -       0
197 Current_Pending_Sector  0x0032   100   100   000    Old_age   Always       -       0
198 Offline_Uncorrectable   0x0030   100   100   000    Old_age   Offline      -       0
199 UDMA_CRC_Error_Count    0x0032   200   200   000    Old_age   Always       -       0
220 Disk_Shift              0x0002   100   100   000    Old_age   Always       -       0
222 Loaded_Hours            0x0032   093   093   000    Old_age   Always       -       2892
223 Load_Retry_Count        0x0032   100   100   000    Old_age   Always       -       0
224 Load_Friction           0x0022   100   100   000    Old_age   Always       -       0
226 Load-in_Time            0x0026   100   100   000    Old_age   Always       -       193
240 Head_Flying_Hours       0x0001   100   100   001    Pre-fail  Offline      -       0

SMART Error Log Version: 1
No Errors Logged

SMART Self-test log structure revision number 1
No self-tests have been logged.  [To run self-tests, use: smartctl -t]

SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.

Note: See TracTickets for help on using tickets.